#include <iostream>
using namespace std;
int main() {
    long long L, j = 0, i = 0;
    int m, n;
    cin >> L >> m >> n;
    while (i<=L) {
        i+=m;
        j++;
        m+=n;
    }
    cout << j << endl;
    return 0;
}
